public static interface SpringBatchEndpointBuilderFactory.SpringBatchBuilders
| Modifier and Type | Method and Description |
|---|---|
default SpringBatchEndpointBuilderFactory.SpringBatchEndpointBuilder |
springBatch(String path)
Spring Batch (camel-spring-batch)
Send messages to Spring Batch for further processing.
|
default SpringBatchEndpointBuilderFactory.SpringBatchEndpointBuilder |
springBatch(String componentName,
String path)
Spring Batch (camel-spring-batch)
Send messages to Spring Batch for further processing.
|
default SpringBatchEndpointBuilderFactory.SpringBatchEndpointBuilder springBatch(String path)
spring-batch:jobName
Path parameter: jobName (required)
The name of the Spring Batch job located in the registry.path - jobNamedefault SpringBatchEndpointBuilderFactory.SpringBatchEndpointBuilder springBatch(String componentName, String path)
spring-batch:jobName
Path parameter: jobName (required)
The name of the Spring Batch job located in the registry.componentName - to use a custom component name for the endpoint
instead of the default namepath - jobNameApache Camel